WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Qt-5 dev broke X  (Read 334 times)

Offline Scorp1us

  • WikiUser
  • *
  • Posts: 34
Qt-5 dev broke X
« on: August 31, 2018, 12:03:58 PM »
I tried to have the Qt-5-dev package load on boot, but X failed to start. I removed i from the onboot.lst file rebooted, and was ok. Why would this be?

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6006
Re: Qt-5 dev broke X
« Reply #1 on: August 31, 2018, 01:32:33 PM »
Hi Scorp1us
Are you running  Xvesa? For some reason,  qt-5.x-dev.tcz  is pulling in what appears to be almost all of the  Xorg  extensions.
I think it's because  Xorg dev  extensions are being pulled in by  qt-5.x-dev  which in turn are pulling in the  Xorg  extensions.
You may have to wait for Juanito to weigh in on this.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 10203
Re: Qt-5 dev broke X
« Reply #2 on: August 31, 2018, 10:26:56 PM »
I'm not sure why you'd want qt-5.x-dev to be set "onboot"?

You probably need to use Xorg-7.7 or Xorg-7.7-3d if you're going to compile for qt-5.x.

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 6006
Re: Qt-5 dev broke X
« Reply #3 on: September 01, 2018, 04:17:11 AM »
Hi Juanito
You probably need to use Xorg-7.7 or Xorg-7.7-3d if you're going to compile for qt-5.x.
None of the other  qt-5  extensions have an  Xorg  dependency. So why would the  dev  extension require it?

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 10203
Re: Qt-5 dev broke X
« Reply #4 on: September 01, 2018, 05:31:44 AM »
qt-5.x-opengl has a dep on libEGL, so I'm not sure an app that required that would work with Xvesa